<?php
require_once __DIR__ . '/CandidatoController.php';

// Manejar la solicitud POST para registrar información un candidato
if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    $respuesta = CandidatoController::registrarInfoCandidato();

    if(isset($respuesta["estado"]) && $respuesta["estado"] === "exitoso") {
        echo json_encode([
            "estado" => "exitoso",
            "mensaje" => "Se ha registrado la información correctamente.",
            "res" => "id_candidato: " . $respuesta["mensaje"]
        ]);
    } else if( isset($respuesta["estado"]) ){
        echo json_encode([
            "estado" => "error",
            "mensaje" => "Error al registrar la información.",
            "res" => $respuesta["mensaje"]
        ]);
    }
    
}

?>